com.ihr.xbrl.pojo

## Class DB2ByteArray

- java.lang.Object
- - com.ihr.xbrl.pojo.DB2ByteArray

- All Implemented Interfaces:
    org.hibernate.usertype.UserType

      public class DB2ByteArray
      extends java.lang.Object
      implements org.hibernate.usertype.UserType

  The Class DB2ByteArray.
  Author:
    Ignacio

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `DB2ByteArray()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.Object` | `assemble(java.io.Serializable cached, java.lang.Object owner)`
    `java.lang.Object` | `deepCopy(java.lang.Object value)`
    `java.io.Serializable` | `disassemble(java.lang.Object value)`
    `boolean` | `equals(java.lang.Object x, java.lang.Object y)`
    `int` | `hashCode(java.lang.Object x)`
    `boolean` | `isMutable()`
    `java.lang.Object` | `nullSafeGet(java.sql.ResultSet rs, java.lang.String[] names, org.hibernate.engine.spi.SessionImplementor arg2, java.lang.Object arg3)`
    `void` | `nullSafeSet(java.sql.PreparedStatement st, java.lang.Object value, int index, org.hibernate.engine.spi.SessionImplementor arg3)`
    `java.lang.Object` | `replace(java.lang.Object original, java.lang.Object target, java.lang.Object owner)`
    `java.lang.Class<?>` | `returnedClass()`
    `int[]` | `sqlTypes()`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### DB2ByteArray

          public DB2ByteArray()

  - ### Method Detail

    - #### sqlTypes

          public int[] sqlTypes()

      Specified by:
        `sqlTypes` in interface `org.hibernate.usertype.UserType`

    - #### returnedClass

          public java.lang.Class<?> returnedClass()

      Specified by:
        `returnedClass` in interface `org.hibernate.usertype.UserType`

    - #### equals

          public boolean equals(java.lang.Object x,
                       java.lang.Object y)
                         throws org.hibernate.HibernateException

      Specified by:
        `equals` in interface `org.hibernate.usertype.UserType`
      Throws:
        `org.hibernate.HibernateException`

    - #### hashCode

          public int hashCode(java.lang.Object x)
                       throws org.hibernate.HibernateException

      Specified by:
        `hashCode` in interface `org.hibernate.usertype.UserType`
      Throws:
        `org.hibernate.HibernateException`

    - #### deepCopy

          public java.lang.Object deepCopy(java.lang.Object value)
                                    throws org.hibernate.HibernateException

      Specified by:
        `deepCopy` in interface `org.hibernate.usertype.UserType`
      Throws:
        `org.hibernate.HibernateException`

    - #### isMutable

          public boolean isMutable()

      Specified by:
        `isMutable` in interface `org.hibernate.usertype.UserType`

    - #### disassemble

          public java.io.Serializable disassemble(java.lang.Object value)
                                           throws org.hibernate.HibernateException

      Specified by:
        `disassemble` in interface `org.hibernate.usertype.UserType`
      Throws:
        `org.hibernate.HibernateException`

    - #### assemble

          public java.lang.Object assemble(java.io.Serializable cached,
                                  java.lang.Object owner)
                                    throws org.hibernate.HibernateException

      Specified by:
        `assemble` in interface `org.hibernate.usertype.UserType`
      Throws:
        `org.hibernate.HibernateException`

    - #### replace

          public java.lang.Object replace(java.lang.Object original,
                                 java.lang.Object target,
                                 java.lang.Object owner)
                                   throws org.hibernate.HibernateException

      Specified by:
        `replace` in interface `org.hibernate.usertype.UserType`
      Throws:
        `org.hibernate.HibernateException`

    - #### nullSafeGet

          public java.lang.Object nullSafeGet(java.sql.ResultSet rs,
                                     java.lang.String[] names,
                                     org.hibernate.engine.spi.SessionImplementor arg2,
                                     java.lang.Object arg3)
                                       throws org.hibernate.HibernateException,
                                              java.sql.SQLException

      Specified by:
        `nullSafeGet` in interface `org.hibernate.usertype.UserType`
      Throws:
        `org.hibernate.HibernateException`
        `java.sql.SQLException`

    - #### nullSafeSet

          public void nullSafeSet(java.sql.PreparedStatement st,
                         java.lang.Object value,
                         int index,
                         org.hibernate.engine.spi.SessionImplementor arg3)
                           throws org.hibernate.HibernateException,
                                  java.sql.SQLException

      Specified by:
        `nullSafeSet` in interface `org.hibernate.usertype.UserType`
      Throws:
        `org.hibernate.HibernateException`
        `java.sql.SQLException`